Starcraft on Classic Startup

Discussion in 'Mac and PC Games' started by kincro, Sep 21, 2008.

  1. kincro macrumors newbie

    Joined:
    Sep 21, 2008
    #1
    sup,
    i have the original starcraft cd and brood war. i have os x but use my os9 enviroment to run it but when i click on starcraft installer it says "You must run the installer on the starcraft cd". i already am, so can u guys help me out:apple:
     
  2. Keleko macrumors 68000

    Joined:
    Mar 26, 2008
    #2
    What version of OS X do you have?

    You may be better served registering your Starcraft CD with Blizzard and then downloading (for free once registered) the latest version of the program. That's what I did, and then I applied the latest patch (install was one patch behind), and it works just fine on my 10.5.5 Leopard OS.
     
  3. imassents macrumors 6502

    Joined:
    Jul 3, 2008
    #3
  4. Miharu macrumors 6502

    Miharu

    Joined:
    Aug 12, 2007
    Location:
    Finland
  5. imassents macrumors 6502

    Joined:
    Jul 3, 2008
    #5
    If I had to guess, I would assume it's because OS 9 allows StarEdit to run (the World Editor).
     
  6. donga macrumors 6502a

    donga

    Joined:
    May 16, 2005
    Location:
    AZ
    #6
    oh man, map making in starcraft. those were the good days
     
  7. kincro thread starter macrumors newbie

    Joined:
    Sep 21, 2008
    #7
    thanks for the help guys. the installer works great, but i lost my CD and everything! tht sucks but i hope i find it. if not i will just buy it of ebay or something. once again thanks
     
  8. Miharu macrumors 6502

    Miharu

    Joined:
    Aug 12, 2007
    Location:
    Finland
    #8
    If you lost your CD, but still have your CD key, you could register to http://us.battle.net/index.html and input your CD key there which allows you to download the game client.
     

Share This Page